com.sun.jna.platform.win32

## Class WinDef.LCID

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.DWORD
      - - com.sun.jna.platform.win32.WinDef.LCID

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable, java.lang.Comparable<WinDef.DWORD>
  Enclosing interface:
    WinDef

      public static class WinDef.LCID
      extends WinDef.DWORD

  The Class LCID.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.WinDef.DWORD

      `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinDef.LCID()` Instantiates a new lcid.
    `WinDef.LCID(long value)` Instantiates a new lcid.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinDef.DWORD

      `compareTo, getHigh, getLow`

    - ### Methods inherited from class com.sun.jna.IntegerType

      `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WinDef.LCID

          public WinDef.LCID()

      Instantiates a new lcid.

    - #### WinDef.LCID

          public WinDef.LCID(long value)

      Instantiates a new lcid.
      Parameters:
        `value` - the value

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.